DCMTK - Support #709

Add an online code review system to process volunteer contributions
2017-01-02 17:27 - Waldir Pimenta

Status: Closed Start date: 2017-01-02
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:
Module: Compiler:

Operating System:

Description

While DCMTK is an open-source project, contributing to the project is a little cumbersome for modern standards -- especially now
that Github, Gitlab and others have become commonplace for many such projects. These tools allow volunteers without commit
access to easily submit pull requests, and thus makes such processes easier for both contributors and maintainers.

Adopting one of these tools would also encourage additional contributions, as the process would be simpler and more visible. |
personally would strongly recommend Gitlab, after having used it quite a bit as a volunteer contributer to a couple FOSS projects.

A few months ago | suggested this to Marco Eichelberg when [ first requested a Redmine wiki account to contribute to documentation
there, and he agreed | should submit this suggestion to the issue tracker. Unfortunately | never got around to do it, but here it is, at
last :)

History

#1 - 2019-09-02 17:34 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

The official DCMTK mirror on Github (https:/github.com/DCMTK/dcmtk) accepts pull requests.
